const loader = require('./libs/loader');
const lot = require('./libs/lot');
const lotv2 = require('./libs/lotV2');
const pusher = require('./libs/pusher');



function run(data) {
  const v1 = lot.calculate(data);
  const v2 = lotv2.calculate(data);

  const msg =

`V2: ${v2} stars: ${v1.mainstars}
V1: ${v1.mainline} stars: ${v1.mainstars}
Other: ${v1.otherLine} stars: ${v1.otherStars}    
`;

  pusher.push(msg);
  console.log(msg);
  loader.save(data);
}

function go() {
  loader.load(run);
}


cron.schedule('10 13 * * 2,5', function() {
  go();
  // console.log('tick');
  return -1;
});
